#! /usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NgxUnusedCSS = void 0;
var tslib_1 = require("tslib");
/*
Find unused css inside Angular components
*/
var fs_1 = (0, tslib_1.__importDefault)(require("fs"));
var meow_1 = (0, tslib_1.__importDefault)(require("meow"));
var path_1 = (0, tslib_1.__importDefault)(require("path"));
var init_1 = (0, tslib_1.__importDefault)(require("./src/init"));
var defaultConfigPath = '.ngx-unused-css.json';
var cli = (0, meow_1.default)("\n\tUsage\n\t  $ ngx-unused-css\n\n\tOptions\n\t  --config, -c override default config path\n\n\tExamples\n\t  $ ngx-unused-css --config ngx-custom-unused-css.json\n", {
    flags: {
        config: {
            type: 'string',
            alias: 'c'
        }
    }
});
var config;
if (cli.flags.init) {
    (0, init_1.default)();
}
else {
    if (cli.flags.config) {
        config = require(path_1.default.join(__dirname, cli.flags.config));
    }
    else if (fs_1.default.existsSync(path_1.default.resolve(defaultConfigPath))) {
        config = require(path_1.default.resolve(defaultConfigPath));
    }
    else {
        throw new Error('Config not found, did you forgot to run ngx-unused-css --init?');
    }
    config.cli = true;
    // Use dynamic import so config is initialized on every import
    var mainPromise = Promise.resolve().then(function () { return (0, tslib_1.__importStar)(require('./src/main')); });
    mainPromise.then(function (res) {
        // Bootstrap library
        /* eslint-disable no-new */
        new res.Main(config);
    });
}
var main_1 = require("./src/main");
Object.defineProperty(exports, "NgxUnusedCSS", { enumerable: true, get: function () { return main_1.Main; } });
//# sourceMappingURL=index.js.map